Class | Spec::Runner::Formatter::BaseTextFormatter
In: | lib/spec/runner/formatter/base_text_formatter.rb
Parent: | BaseFormatter

Baseclass for text-based formatters. Can in fact be used for non-text based ones too - just ignore the `output` constructor argument.

### Methods

backtrace_line blue close colour colour? colourise dry_run? dump_failure dump_pending dump_summary example_pending format_backtrace green magenta new output_to_tty? red yellow

### Attributes

output | [R] |
pending_examples | [R] |

### Public Class methods

new(options, where)

Creates a new instance that will write to `where`. If `where` is a String, output will be written to the File with that name, otherwise `where` is exected to be an IO (or an object that responds to puts and write).

### Public Instance methods

close()
colourise(s, failure)
dump_failure(counter, failure)
dump_pending()
dump_summary(duration, example_count, failure_count, pending_count)
example_pending(example, message, pending_caller)
format_backtrace(backtrace)

### Protected Instance methods

backtrace_line(line)
blue(text)
colour(text, colour_code)
colour?()
dry_run?()
green(text)
magenta(text)
output_to_tty?()
red(text)
yellow(text)

[Validate]